<script>
	import Heading from "@/components/heading.svelte"
	import SVG from "@/components/svg.svelte"
	import Button from "@/components/button.svelte"

	import { isLight } from "@/stores/static"
  import { writable } from "svelte/store"
	import { data } from "@/stores/form"
	import { modal } from "@/stores"
	import { t, l } from "@/i18n"
	import { isPhone, isTablet } from "@/stores/responsiveness"

	export let name = ""
	export let icon = ""
	export let value = ""

	const hover = writable(false)

	const openModal = () => {
		$data.serviceName = name
		$data.service = value
		modal.set(true)
	}
</script>

<!-- svelte-ignore a11y-click-events-have-key-events -->
<template lang="pug">
.card( 
	on:click!='{openModal}' 
	on:mouseenter!='{() => hover.set(true)}' 
	on:mouseleave!='{() => hover.set(false)}'
	class:dark='{!$isLight}')
	.is-flex.is-justify-content-flex-start(
		class:is-flex-direction-column-reverse='{$isPhone || $isTablet}')
		.content.is-flex-grow-1.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start
			Heading( size="small" ) {$t(`services.${name}.title`)}
			p {$t(`services.${name}.content`)}
			Button( type="gray" hover='{$hover}' ) {$t("buttons.order")}
		.icon.is-flex: SVG( name='{icon}' )
</template>

<style lang="scss">
	.card {
		height: 100%;
		padding: 1.5rem;
		background: $gray;
		transition: .2s ease-in-out;
		cursor: pointer;
		&>.is-flex {
			height: 100%;
		}

		&.dark {
			background: #2E2E2E;

			.content {
				p {
					color: #D8D8D8;
				}
			}

			.icon {
				:global(svg path) {
					fill: $white;
				}
			}
		}
	}

	.content {
		padding-right: 2rem;
		:global(.heading) {
			margin-bottom: 1rem;
		}
		:global(.heading p) {
			max-width: 322px;
		}
		p {
			font-size: 1.125rem;
			font-weight: 300;
			color: $gray-text;
			margin-bottom: 1rem;
			transition: color .2s ease-in-out;
		}
		:global(.button) {
			margin-top: auto;
		}
	}
	.icon {
		min-width: 3.5rem;
		max-width: 3.5rem;
		height: 3.5rem;
		:global(svg) {
			height: 3.5rem;
		}
		:global(svg path) {
			transition: fill .2s ease-in-out;
		}
		@include max_tablet {
			margin-bottom: 2rem;
		}
	}
</style>